<div class="payment-summary">
  <h2 class="payment-summary__title">
    {{ "LOAN_MANAGER.LOAN_PROFILE.PAYMENT_SUMMARY.TITLE" | translate }}
  </h2>
  <p class="payment-summary__description">
    {{ "LOAN_MANAGER.LOAN_PROFILE.PAYMENT_SUMMARY.DESCRIPTION" | translate }}
  </p>
  <div class="payment-summary__table">
    <mo-table
      [designClass]="designClass"
      [headers]="headers"
      [data]="payments$ | async"
      [fixedMinWidth]="false"
      [isLoading]="isLoading$ | async"
      [loadingColumns]="4"
    ></mo-table>
    <div class="buttons" *ngIf="loanId$ | async as loan_id">
      <mo-button
        [text]="
          'LOAN_MANAGER.LOAN_PROFILE.PAYMENT_SUMMARY.BTN_VISIT_PAYMENTS'
            | translate
        "
        [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
        [displayBlock]="true"
        [size]="SIZES.MD"
        [routerLink]="paymentsUrl"
        [queryParams]="{ loan_id }"
      ></mo-button>
    </div>
  </div>
</div>
